* {
  font-family: Inter,sans-serif;
  box-sizing: border-box;
}

@font-face {
  font-family: 'Inter custom';
  font-weight: 100 900;
  font-style: normal;
  font-display: block;
  font-named-instance: Regular;
  src:
    url(../assets/fonts/Inter-roman.var.woff2) format("woff2 supports variations(gvar)"),
    url(../assets/fonts/Inter-roman.var.woff2) format("woff2-variations"),
    url(../assets/fonts/Inter-roman.var.woff2) format("woff2")
}

@font-face {
  font-family: 'Material Symbols Sharp';
  font-style: normal;
  font-weight: 100 700;

  font-feature-settings: 'liga';
  font-smoothing: antialiased;

  font-variation-settings:
  'FILL' 0,
  'wght' 200,
  'GRAD' 0,
  'opsz' 48;

  src: url(../assets/fonts/MaterialIconsSharp-Regular.woff2) format("woff2")
}

.gms, .icon {
  font-family: 'Material Symbols Sharp';
  font-weight: normal;
  font-style: normal;
  line-height: 0.8;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  vertical-align: text-bottom;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;

  font-variation-settings:
  'FILL' 0,
  'wght' 200,
  'GRAD' 0,
  'opsz' 48;
}

@supports (font-variation-settings:normal) {
  * {
    font-family:'Inter custom', sans-serif;
  }
}

body, html {
  margin: 0;
  padding: 0;

  min-height: 100%;
  width: 100%;
}

button {
  user-select: none
}

@import 'config';

html {
  font-size: 16px;
  font-variant: none;
  font-smooth: always;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-tap-highlight-color: transparent;
  font-feature-settings: 'ss01' on, 'ss02' on, 'cv01' on, 'cv03' on;

  color: var(--primary-color);
  background: var(--background-color);
}

.background {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  pointer-events: none;
  width: 200vw;
  height: 200vh;
  background: var(--background-gradient);
  transform: translate(-50vw,-100vh);
  z-index: -1;
}
